> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# workspaces weergeven

> Geeft workspaces weer die zichtbaar zijn voor de public API principal.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json GET /v1/public/accounts/{account_id}/workspaces
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces:
    get:
      tags:
        - public-accounts
        - public-workspaces
      summary: workspaces weergeven
      description: Geeft workspaces weer die zichtbaar zijn voor de public API principal.
      operationId: list_public_workspaces_v1_public_accounts__account_id__workspaces_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceListResponse:
      properties:
        items:
          description: Werkruimten op deze pagina
          items:
            $ref: '#/components/schemas/WorkspaceResponse'
          title: Artikelen
          type: array
        page:
          description: Huidig, op één gebaseerd paginanummer
          title: Pagina
          type: integer
        page_size:
          description: Maximaal aantal items per pagina
          title: Paginagrootte
          type: integer
        total:
          description: Totaal bijpassende werkplekken
          title: Totaal
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: WorkspaceListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: Account UUID dat eigenaar is van de werkruimte
          format: uuid
          title: Account-id
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Tijdstempel voor het maken van de werkruimte
          title: Aangemaakt op
        id:
          description: Werkruimte UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Weergavenaam van werkruimte
          title: Naam
          type: string
        status:
          default: active
          description: Levenscyclusstatus van de werkruimte
          title: Status
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Tijdstempel van de laatste update van de werkruimte
          title: Bijgewerkt op
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````